Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class ClassGenerationInfo

    java.lang.Object
      org.apache.cayenne.gen.ClassGenerationInfo

Deprecated. since 3.0, as class generator version 1.1 is deprecated.

    public class ClassGenerationInfo

extends Object

Class generation engine for ObjEntities based on Velocity templates . Instance of ClassGenerationInfo is available inside Velocity template under the key "classGen".

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary
`protected String` | `className` Deprecated.
`protected ObjEntity` | `entity` Deprecated.
`protected String` | `packageName` Deprecated.
`protected String` | `prop` Deprecated.
`protected String` | `superClassName` Deprecated.
`protected String` | `superPackageName` Deprecated.
`protected String` | `superPrefix` Deprecated.

Constructor Summary
`ClassGenerationInfo()` Deprecated.

Method Summary
`String` | `capitalized(String name)` Deprecated. Capitalizes the first letter of the property name.
`String` | `capitalizedAsConstant(String name)` Deprecated. Converts property name to Java constants naming convention.
`String` | `formatJavaType(String type)` Deprecated.
`String` | `formatJavaTypeAsNonBooleanPrimitive(String type)` Deprecated.
`String` | `formatVariableName(String variableName)` Deprecated.
`String` | `getCappedProp()` Deprecated. Returns current property name with capitalized first letter
`String` | `getClassName()` Deprecated. Returns class name (without a package) of the class associated with this generator.
`ObjEntity` | `getEntity()` Deprecated. Returns entity for the class associated with this generator.
`String` | `getPackageName()` Deprecated. Returns Java package name of the class associated with this generator.
`String` | `getProp()` Deprecated.
`String` | `getPropAsConstantName()` Deprecated.
`String` | `getSuperClassName()` Deprecated. Returns the fully qualified super class of the data object class associated with this generator
`String` | `getSuperPackageName()` Deprecated. Returns `superPackageName` property that defines a superclass's package name.
`String` | `getSuperPrefix()` Deprecated. Returns prefix used to distinguish between superclass and subclass when generating classes in pairs.
`boolean` | `isBoolean(String type)` Deprecated.
`boolean` | `isContainingDeclaredListProperties()` Deprecated. Returns true if current entity contains at least one Declared List property.
`boolean` | `isContainingListProperties()` Deprecated. Returns true if current entity contains at least one List property.
`boolean` | `isNonBooleanPrimitive(String type)` Deprecated.
`boolean` | `isUsingPackage()` Deprecated. Returns `true` if a class associated with this generator is located in a package.
`boolean` | `isUsingSuperPackage()` Deprecated. Returns `true` if a superclass class associated with this generator is located in a package.
`protected void` | `setClassName(String className)` Deprecated. Sets class name of the class associated with this generator.
`protected void` | `setObjEntity(ObjEntity entity)` Deprecated.
`protected void` | `setPackageName(String packageName)` Deprecated. Sets Java package name of the class associated with this generator.
`void` | `setProp(String prop)` Deprecated. Sets current class property name.
`protected void` | `setSuperClassName(String value)` Deprecated. Sets the fully qualified super class of the data object class associated with this generator
`protected void` | `setSuperPackageName(String superPackageName)` Deprecated. Sets `superPackageName` property that defines a superclass's package name.
`protected void` | `setSuperPrefix(String superPrefix)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entity

    protected ObjEntity entity

  Deprecated.

### packageName

    protected String packageName

  Deprecated.

### className

    protected String className

  Deprecated.

### superPrefix

    protected String superPrefix

  Deprecated.

### prop

    protected String prop

  Deprecated.

### superPackageName

    protected String superPackageName

  Deprecated.

### superClassName

    protected String superClassName

  Deprecated.

Constructor Detail

### ClassGenerationInfo

    public ClassGenerationInfo()

  Deprecated.

Method Detail

### getPackageName

    public String getPackageName()

  Deprecated.
  Returns Java package name of the class associated with this generator.

### setPackageName

    protected void setPackageName(String packageName)

  Deprecated.
  Sets Java package name of the class associated with this generator.

### getSuperPackageName

    public String getSuperPackageName()

  Deprecated.
  Returns `superPackageName` property that defines a superclass's package name.

### setSuperPackageName

    protected void setSuperPackageName(String superPackageName)

  Deprecated.
  Sets `superPackageName` property that defines a superclass's package name.

### getClassName

    public String getClassName()

  Deprecated.
  Returns class name (without a package) of the class associated with this generator.

### setClassName

    protected void setClassName(String className)

  Deprecated.
  Sets class name of the class associated with this generator. Class name must not include a package.

### setSuperPrefix

    protected void setSuperPrefix(String superPrefix)

  Deprecated.

### formatJavaType

    public String formatJavaType(String type)

  Deprecated.

### formatJavaTypeAsNonBooleanPrimitive

    public String formatJavaTypeAsNonBooleanPrimitive(String type)

  Deprecated.
  Since:
    3.0

### isNonBooleanPrimitive

    public boolean isNonBooleanPrimitive(String type)

  Deprecated.

### isBoolean

    public boolean isBoolean(String type)

  Deprecated.
  Since:
    3.0

### formatVariableName

    public String formatVariableName(String variableName)

  Deprecated.

### getSuperPrefix

    public String getSuperPrefix()

  Deprecated.
  Returns prefix used to distinguish between superclass and subclass when generating classes in pairs.

### setProp

    public void setProp(String prop)

  Deprecated.
  Sets current class property name. This method is called during template parsing for each of the class properties.

### getProp

    public String getProp()

  Deprecated.

### capitalized

    public String capitalized(String name)

  Deprecated.
  Capitalizes the first letter of the property name.

  Since:
    1.1

### capitalizedAsConstant

    public String capitalizedAsConstant(String name)

  Deprecated.
  Converts property name to Java constants naming convention.

  Since:
    1.1

### getCappedProp

    public String getCappedProp()

  Deprecated.
  Returns current property name with capitalized first letter

### getPropAsConstantName

    public String getPropAsConstantName()

  Deprecated.
  Returns:
    a current property name converted to a format used by java static final variables - all capitalized with underscores.
  Since:
    1.0.3

### isContainingDeclaredListProperties

    public boolean isContainingDeclaredListProperties()

  Deprecated.
  Returns true if current entity contains at least one Declared List property.

  Since:
    1.2

### isContainingListProperties

    public boolean isContainingListProperties()

  Deprecated.
  Returns true if current entity contains at least one List property.

  Since:
    1.1

### isUsingPackage

    public boolean isUsingPackage()

  Deprecated.
  Returns `true` if a class associated with this generator is located in a package.

### isUsingSuperPackage

    public boolean isUsingSuperPackage()

  Deprecated.
  Returns `true` if a superclass class associated with this generator is located in a package.

### getEntity

    public ObjEntity getEntity()

  Deprecated.
  Returns entity for the class associated with this generator.

### setObjEntity

    protected void setObjEntity(ObjEntity entity)

  Deprecated.
  Parameters:
    `entity` - The entity to set.

### getSuperClassName

    public String getSuperClassName()

  Deprecated.
  Returns the fully qualified super class of the data object class associated with this generator

### setSuperClassName

    protected void setSuperClassName(String value)

  Deprecated.
  Sets the fully qualified super class of the data object class associated with this generator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.